// deNetWinClient.h : main header file for the DENETWINCLIENT application
//

#if !defined(AFX_DENETWINCLIENT_H__330880E6_90DD_4558_8C81_D049903CE71F__INCLUDED_)
#define AFX_DENETWINCLIENT_H__330880E6_90DD_4558_8C81_D049903CE71F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
#include "deNetWinClientUser.hpp"

/////////////////////////////////////////////////////////////////////////////
// CDeNetWinClientApp:
// See deNetWinClient.cpp for the implementation of this class
//

class CDeNetWinClientApp : public CWinApp
{
public:
	CDeNetWinClientApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeNetWinClientApp)
	public:
	virtual BOOL InitInstance();
	virtual BOOL InitApplication();
	virtual void OnFinalRelease();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation

	deNetWinClientUser		m_Client;
	deNetWinClientUser *	GetClient( void )	{ return &m_Client; }

public:
	//{{AFX_MSG(CDeNetWinClientApp)
	afx_msg void OnAppAbout();
	afx_msg void OnConnect();
	afx_msg void OnUpdateConnect(CCmdUI* pCmdUI);
	afx_msg void OnDisconnect();
	afx_msg void OnUpdateDisconnect(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DENETWINCLIENT_H__330880E6_90DD_4558_8C81_D049903CE71F__INCLUDED_)
